diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/model/wifi-bandwidth-filter.cc ns-3.43/src/wifi/model/wifi-bandwidth-filter.cc
--- ns-3.42/src/wifi/model/wifi-bandwidth-filter.cc	2024-05-29 15:29:47.208073900 -0700
+++ ns-3.43/src/wifi/model/wifi-bandwidth-filter.cc	2024-10-09 16:41:10.128656900 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2022 Universita' degli Studi di Napoli "Federico II"
  * Copyright (c) 2022 University of Washington (port logic to WifiBandwidthFilter)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "wifi-bandwidth-filter.h"
@@ -82,57 +71,64 @@
                   "SpectrumWifiPhy::TrackSignalsFromInactiveInterfaces attribute is not enabled");
 
     NS_ASSERT((interface != wifiPhy->GetCurrentInterface()) ||
-              (wifiPhy->GetOperatingChannel().GetFrequency() == interface->GetCenterFrequency()));
-    NS_ASSERT((interface != wifiPhy->GetCurrentInterface()) ||
-              (wifiPhy->GetOperatingChannel().GetWidth() == interface->GetChannelWidth()));
+              (wifiPhy->GetOperatingChannel().GetTotalWidth() == interface->GetChannelWidth()));
+    NS_ASSERT(
+        (interface != wifiPhy->GetCurrentInterface()) ||
+        (wifiPhy->GetOperatingChannel().GetFrequencies() == interface->GetCenterFrequencies()));
 
     // The signal power is spread over a frequency interval that includes a guard
     // band on the left and a guard band on the right of the nominal TX band
-
-    const auto rxCenterFreq = wifiRxParams->ppdu->GetTxCenterFreq();
-    const auto rxWidth = wifiRxParams->ppdu->GetTxVector().GetChannelWidth();
+    const auto rxCenterFreqs = wifiRxParams->ppdu->GetTxCenterFreqs();
+    // all segments have the same width
+    const auto rxWidth =
+        (wifiRxParams->ppdu->GetTxVector().GetChannelWidth() / rxCenterFreqs.size());
     const auto guardBandwidth = wifiPhy->GetGuardBandwidth(rxWidth);
-    const auto operatingFrequency = interface->GetCenterFrequency();
-    const auto operatingChannelWidth = interface->GetChannelWidth();
-
-    const auto rxMinFreq = rxCenterFreq - rxWidth / 2 - guardBandwidth;
-    const auto rxMaxFreq = rxCenterFreq + rxWidth / 2 + guardBandwidth;
-
-    const auto channelMinFreq = operatingFrequency - operatingChannelWidth / 2;
-    const auto channelMaxFreq = operatingFrequency + operatingChannelWidth / 2;
-
-    /**
-     * The PPDU can be ignored if the two bands do not overlap.
-     *
-     * First non-overlapping case:
-     *
-     *                                        ┌─────────┬─────────┬─────────┐
-     *                                PPDU    │  Guard  │ Nominal │  Guard  │
-     *                                        │  Band   │   Band  │  Band   │
-     *                                        └─────────┴─────────┴─────────┘
-     *                                    rxMinFreq                     rxMaxFreq
-     *
-     * channelMinFreq                channelMaxFreq
-     *         ┌──────────────────────────────┐
-     *         │         Operating            │
-     *         │           Channel            │
-     *         └──────────────────────────────┘
-     *
-     * Second non-overlapping case:
-     *
-     *         ┌─────────┬─────────┬─────────┐
-     * PPDU    │  Guard  │ Nominal │  Guard  │
-     *         │  Band   │   Band  │  Band   │
-     *         └─────────┴─────────┴─────────┘
-     *     rxMinFreq                     rxMaxFreq
-     *
-     *                               channelMinFreq                channelMaxFreq
-     *                                       ┌──────────────────────────────┐
-     *                                       │         Operating            │
-     *                                       │           Channel            │
-     *                                       └──────────────────────────────┘
-     */
-    auto filter = (rxMinFreq >= channelMaxFreq || rxMaxFreq <= channelMinFreq);
+    bool filter = true;
+    for (auto rxCenterFreq : rxCenterFreqs)
+    {
+        const auto rxMinFreq = rxCenterFreq - rxWidth / 2 - guardBandwidth;
+        const auto rxMaxFreq = rxCenterFreq + rxWidth / 2 + guardBandwidth;
+        const auto operatingFrequencies = interface->GetCenterFrequencies();
+        const auto operatingChannelWidth =
+            interface->GetChannelWidth() / operatingFrequencies.size();
+        for (auto operatingFrequency : operatingFrequencies)
+        {
+            const auto channelMinFreq = operatingFrequency - operatingChannelWidth / 2;
+            const auto channelMaxFreq = operatingFrequency + operatingChannelWidth / 2;
+            /**
+             * The PPDU can be ignored if the two bands do not overlap.
+             *
+             * First non-overlapping case:
+             *
+             *                                        ┌─────────┬─────────┬─────────┐
+             *                                PPDU    │  Guard  │ Nominal │  Guard  │
+             *                                        │  Band   │   Band  │  Band   │
+             *                                        └─────────┴─────────┴─────────┘
+             *                                    rxMinFreq                     rxMaxFreq
+             *
+             * channelMinFreq                channelMaxFreq
+             *         ┌──────────────────────────────┐
+             *         │         Operating            │
+             *         │           Channel            │
+             *         └──────────────────────────────┘
+             *
+             * Second non-overlapping case:
+             *
+             *         ┌─────────┬─────────┬─────────┐
+             * PPDU    │  Guard  │ Nominal │  Guard  │
+             *         │  Band   │   Band  │  Band   │
+             *         └─────────┴─────────┴─────────┘
+             *     rxMinFreq                     rxMaxFreq
+             *
+             *                               channelMinFreq                channelMaxFreq
+             *                                       ┌──────────────────────────────┐
+             *                                       │         Operating            │
+             *                                       │           Channel            │
+             *                                       └──────────────────────────────┘
+             */
+            filter &= ((rxMinFreq >= channelMaxFreq) || (rxMaxFreq <= channelMinFreq));
+        }
+    }
     NS_LOG_DEBUG("Returning " << filter);
     return filter;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/model/wifi-bandwidth-filter.h ns-3.43/src/wifi/model/wifi-bandwidth-filter.h
--- ns-3.42/src/wifi/model/wifi-bandwidth-filter.h	2024-05-29 15:29:47.208073900 -0700
+++ ns-3.43/src/wifi/model/wifi-bandwidth-filter.h	2024-10-09 16:41:10.128656900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef WIFI_BANDWIDTH_FILTER_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/model/wifi-default-ack-manager.cc ns-3.43/src/wifi/model/wifi-default-ack-manager.cc
--- ns-3.42/src/wifi/model/wifi-default-ack-manager.cc	2024-05-29 15:29:47.208073900 -0700
+++ ns-3.43/src/wifi/model/wifi-default-ack-manager.cc	2024-10-09 16:41:10.128656900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
@@ -106,27 +95,27 @@
                     "An established Block Ack agreement is required");
 
     uint16_t startingSeq = edca->GetBaStartingSequence(origReceiver, tid);
-    uint16_t maxDistFromStartingSeq =
-        (mpdu->GetHeader().GetSequenceNumber() - startingSeq + SEQNO_SPACE_SIZE) % SEQNO_SPACE_SIZE;
-    NS_ABORT_MSG_IF(maxDistFromStartingSeq >= SEQNO_SPACE_HALF_SIZE,
-                    "The given QoS data frame is too old");
+    uint16_t maxDistFromStartingSeq = 0;
 
     const auto* psduInfo = txParams.GetPsduInfo(receiver);
-
     NS_ASSERT_MSG(psduInfo && psduInfo->seqNumbers.contains(tid),
                   "There must be at least an MPDU with tid " << +tid);
 
-    for (const auto& seqNumber : psduInfo->seqNumbers.at(tid))
+    const auto& seqNumbers = psduInfo->seqNumbers.at(tid);
+    NS_ASSERT_MSG(seqNumbers.contains(mpdu->GetHeader().GetSequenceNumber()),
+                  "The sequence number of the given MPDU is not included in the TX parameters");
+
+    for (const auto& seqNumber : seqNumbers)
     {
-        if (!QosUtilsIsOldPacket(startingSeq, seqNumber))
-        {
-            uint16_t currDistToStartingSeq =
-                (seqNumber - startingSeq + SEQNO_SPACE_SIZE) % SEQNO_SPACE_SIZE;
+        NS_ASSERT_MSG(!QosUtilsIsOldPacket(startingSeq, seqNumber),
+                      "QoS data frame SeqN=" << seqNumber << " is too old");
 
-            if (currDistToStartingSeq > maxDistFromStartingSeq)
-            {
-                maxDistFromStartingSeq = currDistToStartingSeq;
-            }
+        uint16_t currDistToStartingSeq =
+            (seqNumber - startingSeq + SEQNO_SPACE_SIZE) % SEQNO_SPACE_SIZE;
+
+        if (currDistToStartingSeq > maxDistFromStartingSeq)
+        {
+            maxDistFromStartingSeq = currDistToStartingSeq;
         }
     }
 
@@ -141,27 +130,53 @@
     NS_LOG_FUNCTION(this << *mpdu << &txParams);
 
     uint8_t tid = mpdu->GetHeader().GetQosTid();
-    Mac48Address receiver = mpdu->GetOriginal()->GetHeader().GetAddr1();
+    auto receiver = mpdu->GetHeader().GetAddr1();
+    auto origReceiver = mpdu->GetOriginal()->GetHeader().GetAddr1();
     Ptr<QosTxop> edca = m_mac->GetQosTxop(tid);
+    const auto& seqNumbers = txParams.GetPsduInfo(receiver)->seqNumbers.at(tid);
 
     // An immediate response (Ack or Block Ack) is needed if any of the following holds:
+    // * the BA threshold is set to zero
+    if (m_baThreshold == 0.0)
+    {
+        return true;
+    }
     // * the maximum distance between the sequence number of an MPDU to transmit
     //   and the starting sequence number of the transmit window is greater than
     //   or equal to the window size multiplied by the BaThreshold
+    if (GetMaxDistFromStartingSeq(mpdu, txParams) >=
+        m_baThreshold * edca->GetBaBufferSize(origReceiver, tid))
+    {
+        return true;
+    }
     // * no other frame belonging to this BA agreement is queued (because, in such
     //   a case, a Block Ack is not going to be requested anytime soon)
+    if (auto queueId = WifiContainerQueueId(WIFI_QOSDATA_QUEUE, WIFI_UNICAST, origReceiver, tid);
+        edca->GetWifiMacQueue()->GetNPackets(queueId) -
+            edca->GetBaManager()->GetNBufferedPackets(origReceiver, tid) - seqNumbers.size() <
+        1)
+    {
+        return true;
+    }
+    // * the block ack TX window cannot advance because all the MPDUs in the TX window other than
+    //   those being transmitted have been already acknowledged
+    if (m_mac->GetBaAgreementEstablishedAsOriginator(origReceiver, tid)
+            ->get()
+            .AllAckedMpdusInTxWindow(seqNumbers))
+    {
+        return true;
+    }
+
     // * this is the initial frame of a transmission opportunity and it is not
     //   protected by RTS/CTS (see Annex G.3 of IEEE 802.11-2016)
-    return !(
-        m_baThreshold > 0 &&
-        GetMaxDistFromStartingSeq(mpdu, txParams) <
-            m_baThreshold * edca->GetBaBufferSize(receiver, tid) &&
-        (edca->GetWifiMacQueue()->GetNPackets({WIFI_QOSDATA_QUEUE, WIFI_UNICAST, receiver, tid}) -
-             edca->GetBaManager()->GetNBufferedPackets(receiver, tid) >
-         1) &&
-        !(edca->GetTxopLimit(m_linkId).IsStrictlyPositive() &&
-          edca->GetRemainingTxop(m_linkId) == edca->GetTxopLimit(m_linkId) &&
-          !(txParams.m_protection && txParams.m_protection->method == WifiProtection::RTS_CTS)));
+    if (edca->GetTxopLimit(m_linkId).IsStrictlyPositive() &&
+        edca->GetRemainingTxop(m_linkId) == edca->GetTxopLimit(m_linkId) &&
+        !(txParams.m_protection && txParams.m_protection->method == WifiProtection::RTS_CTS))
+    {
+        return true;
+    }
+
+    return false;
 }
 
 bool
@@ -547,7 +562,7 @@
         blockAckTxVector.SetChannelWidth(txParams.m_txVector.GetChannelWidth());
         // 800ns GI is not allowed for HE TB
         blockAckTxVector.SetGuardInterval(
-            std::max<uint16_t>(txParams.m_txVector.GetGuardInterval(), 1600));
+            std::max(txParams.m_txVector.GetGuardInterval(), NanoSeconds(1600)));
         const auto& userInfo = txParams.m_txVector.GetHeMuUserInfo(staId);
         blockAckTxVector.SetHeMuUserInfo(
             staId,
@@ -635,7 +650,7 @@
         blockAckTxVector.SetChannelWidth(txParams.m_txVector.GetChannelWidth());
         // 800ns GI is not allowed for HE TB
         blockAckTxVector.SetGuardInterval(
-            std::max<uint16_t>(txParams.m_txVector.GetGuardInterval(), 1600));
+            std::max(txParams.m_txVector.GetGuardInterval(), NanoSeconds(1600)));
         const auto& userInfo = txParams.m_txVector.GetHeMuUserInfo(staId);
         blockAckTxVector.SetHeMuUserInfo(
             staId,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/model/wifi-default-ack-manager.h ns-3.43/src/wifi/model/wifi-default-ack-manager.h
--- ns-3.42/src/wifi/model/wifi-default-ack-manager.h	2024-05-29 15:29:47.208073900 -0700
+++ ns-3.43/src/wifi/model/wifi-default-ack-manager.h	2024-10-09 16:41:10.128656900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/model/wifi-default-assoc-manager.cc ns-3.43/src/wifi/model/wifi-default-assoc-manager.cc
--- ns-3.42/src/wifi/model/wifi-default-assoc-manager.cc	2024-05-29 15:29:47.208073900 -0700
+++ ns-3.43/src/wifi/model/wifi-default-assoc-manager.cc	2024-10-09 16:41:10.128656900 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2022 Universita' degli Studi di Napoli Federico II
 
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
@@ -21,10 +10,12 @@
 #include "wifi-default-assoc-manager.h"
 
 #include "sta-wifi-mac.h"
+#include "wifi-net-device.h"
 #include "wifi-phy.h"
 
 #include "ns3/log.h"
 #include "ns3/simulator.h"
+#include "ns3/vht-configuration.h"
 
 #include <algorithm>
 
@@ -212,14 +203,17 @@
                     // switching channel while a PHY is in sleep state fails
                     phy->ResumeFromSleep();
                 }
-                // switch this link to using the channel used by a reported AP
-                // TODO check if the STA only supports a narrower channel width
+                // switch this link to using the channel used by a reported AP (or its primary80
+                // in case the reported AP is using a 160 MHz and the non-AP MLD does not support
+                // 160 MHz operations)
+                if (apChannel.GetTotalWidth() > 80 &&
+                    !phy->GetDevice()->GetVhtConfiguration()->Get160MHzOperationSupported())
+                {
+                    apChannel = apChannel.GetPrimaryChannel(80);
+                }
+
                 NS_LOG_DEBUG("Switch link " << +linkId << " to using " << apChannel);
-                WifiPhy::ChannelTuple chTuple{apChannel.GetNumber(),
-                                              apChannel.GetWidth(),
-                                              apChannel.GetPhyBand(),
-                                              apChannel.GetPrimaryChannelIndex(20)};
-                phy->SetOperatingChannel(chTuple);
+                phy->SetOperatingChannel(apChannel);
                 // actual channel switching may be delayed, thus setup a channel switch timer
                 m_channelSwitchInfo.resize(m_mac->GetNLinks());
                 m_channelSwitchInfo[linkId].timer.Cancel();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/model/wifi-default-assoc-manager.h ns-3.43/src/wifi/model/wifi-default-assoc-manager.h
--- ns-3.42/src/wifi/model/wifi-default-assoc-manager.h	2024-05-29 15:29:47.212073800 -0700
+++ ns-3.43/src/wifi/model/wifi-default-assoc-manager.h	2024-10-09 16:41:10.128656900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/model/wifi-default-protection-manager.cc ns-3.43/src/wifi/model/wifi-default-protection-manager.cc
--- ns-3.42/src/wifi/model/wifi-default-protection-manager.cc	2024-05-29 15:29:47.212073800 -0700
+++ ns-3.43/src/wifi/model/wifi-default-protection-manager.cc	2024-10-09 16:41:10.128656900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/model/wifi-default-protection-manager.h ns-3.43/src/wifi/model/wifi-default-protection-manager.h
--- ns-3.42/src/wifi/model/wifi-default-protection-manager.h	2024-05-29 15:29:47.212073800 -0700
+++ ns-3.43/src/wifi/model/wifi-default-protection-manager.h	2024-10-09 16:41:10.128656900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/model/wifi-information-element.cc ns-3.43/src/wifi/model/wifi-information-element.cc
--- ns-3.42/src/wifi/model/wifi-information-element.cc	2024-05-29 15:29:47.212073800 -0700
+++ ns-3.43/src/wifi/model/wifi-information-element.cc	2024-10-09 16:41:10.128656900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Dean Armstrong
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Dean Armstrong <deanarm@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/model/wifi-information-element.h ns-3.43/src/wifi/model/wifi-information-element.h
--- ns-3.42/src/wifi/model/wifi-information-element.h	2024-05-29 15:29:47.212073800 -0700
+++ ns-3.43/src/wifi/model/wifi-information-element.h	2024-10-09 16:41:10.128656900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Dean Armstrong
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Dean Armstrong <deanarm@gmail.com>
  */
